Subject: Re: bug#65384: 29.1; ERC 5.5.0.29.1: twitch integration broken

From: Corwin Brust <[email-masked]>
Date: Sat, 19 Aug 2023 13:55:13 -0500

tags 65384 notabug
thanks

TL;DR: my fault for suggesting a bug report here, I think; and I've
therefore closed.

On Sat, Aug 19, 2023 at 12:57 PM J.P. <[email-masked]> wrote:
>
> Hi Aleksas,
>
> Aleksas Tunikas <[email-masked]> writes:
>
> > it used to work now it doesnt it gives this error, asked on an irc emacs
> > group on libre there was another person experiencing this, tried irssi
> > and it works fine! thank you for all your work! http://ix.io/4DYd
>
> On the surface, the problem appears to be that Twitch doesn't send vital
> identifying information needed by ERC. Have you tried either workaround

> In case it's not clear, that's asking you to try something like
>
>   (push '(twitch "-") erc-networks-alist)
>
> before connecting, or, alternatively, connecting with something like
>
>   (erc-tls :server "irc.chat.twitch.tv"
>            :port 6697
>            :nick "me"
>            :password "..."
>            :id 'twitch)
>
> Unfortunately, I don't have access to Twitch credentials, so I can't try

I was able to test this approach by adding :id 'twich; shown off below.

Although I'm curious how this worked before, I've closed despite the
"regression"; if that wasn't TRT I believe replying to the original
bug address (not the -done@debbugs... variant), will reopen it.

My test:

(defun auth-for (host)
  "Get the password for HOST."
  (let ((found (nth 0 (auth-source-search :host host))))
    (let ((secret (plist-get found :secret)))
      (if (functionp secret)
  (funcall secret)
secret))))

(defun twitch-irc ()
  "Connect to twitch IRC via twitch."
  (interactive)
  (erc-tls :server "irc.chat.twitch.tv"
           :port 6697
           :nick "me"
   :id 'twitch
           :password (auth-for "twitch")))

M-x twich-ircRET

FTR, I didn't try adjusting `erc-network-alist'

> Thanks,
> J.P.